<style>
    #preview {
        position: absolute;
        border: 1px solid #ccc;
        background: #333;
        padding: 5px;
        display: none;
        color: #fff;
        z-index: 999999;
    }

    .preview-container {
        margin: 5px;
    }
</style>

<main class="text-center">
    <!--Section 1-->
    <section class="well-xs">
        <div class="container container-wide">

            <div class="row">
                {% if products|length > 1 %}
                    {% for product in products %}
                        <a class="preview"
                           href="{{ path('elbotrade-product-images-list', {'productId': product.id}) }}">
                            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 {{ categoryId }}" style="padding-left: 4px !important;">
                                <h3>{{ product.name }} </h3>
                                {% if product.images|length > 0 %}
                                    {% for image in product.images|slice(0, 6) %}
                                        <p class="preview-container pull-left">
                                            <img src="{{ asset('bundles/elbotradelayout/images/fancybox_loading.gif') }}"
                                                 data-src="{{ image ? image.path|imagine_filter('sylius_small') : 'http://placehold.it/90x60' }}"
                                                 alt="" class="imgmedia-object"/>
                                        </p>
                                    {% endfor %}
                                    {% if product.images|length > 6 %}
                                        <div class="clearfix"></div>
                                        <a class="more"
                                           href="{{ path('elbotrade-product-images-list', {'productId': product.id}) }}"
                                           data-id="{{ product.id }}">
                                            <b>{{ "products.more"|trans({}, 'content') }}</b></a>
                                    {% elseif product.media is not null %}
                                        <p class="preview-container pull-left">
                                            <a href="{% path product.media, 'reference' %}" target="_blank"><span
                                                        class="icon icon-user-md icon-default fl-justicons-file60"
                                                        style="font-size: 2em;">{{ 'products.catalog'|trans({}, 'content') }}</span></a>
                                        </p>
                                    {% endif %}
                                {% elseif product.media is not null %}
                                    <p class="preview-container pull-left">
                                        <a href="{% path product.media, 'reference' %}" target="_blank"><span class="icon icon-user-md icon-default fl-justicons-file60"
                                                                                                              style="font-size: 2em;">{{ 'products.catalog'|trans({}, 'content') }}</span></a>
                                    </p>
                                {% endif %}
                            </div>
                            {% if loop.index is divisibleby(2) %}
                                <div class="clearfix visible-xs"></div>
                            {% endif %}
                            {% if loop.index is divisibleby(4) %}
                                <div class="clearfix hidden-xs"></div>
                            {% endif %}
                        </a>
                    {% endfor %}
                {% else %}
                    {% set product = products|first %}
                    <a class="preview"
                       href="{{ path('elbotrade-product-images-list', {'productId': product.id}) }}">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 {{ categoryId }}" style="padding-left: 0 !important;">
                            {% if product.images is defined %}
                                {% for image in product.images %}
                                    <p class="preview-container pull-left">
                                        <img src="{{ asset('bundles/elbotradelayout/images/fancybox_loading.gif') }}"
                                             data-src="{{ image ? image.path|imagine_filter('sylius_small') : 'http://placehold.it/90x60' }}"
                                             alt="" class="imgmedia-object"/>
                                    </p>
                                {% endfor %}
                            {% endif %}
                            {% if product.media is not null %}
                                <p class="preview-container pull-left">
                                <a href="{% path product.media, 'reference' %}" target="_blank"><span class="icon icon-user-md icon-default fl-justicons-file60"
                                style="font-size: 2em;">{{ 'products.catalog'|trans({}, 'content') }}</span></a>
                                </p>
                            {% endif %}
                        </div>
                    </a>
                {% endif %}
            </div>
        </div>
    </section>
</main>

<script>
    $("document").ready(function (e) {
        var id = {{ categoryId }};
        $('.' + id).find('img').each(function () {
            var src = $(this).data('src');
            $(this).attr('src', src);
        });
        if ($(window).width() < 1360) {
            var width = '100%';
            var height = '100%';
        }
        else {
            var width = '75%';
            var height = '75%';
        }

        $(".preview").fancybox({
            'width': width,
            'height': height,
            'type': 'iframe',
            scrollOutside: false,
            scrolling: 'hidden',
            helpers: {
                overlay: {
                    locked: true
                }
            },
        });

    });
</script>

<style>
    .col- * div {
        *transition: all 0.5s ease;
    }
</style>